Subject: linux-next: manual merge of the net-next tree with the net/main tree

From: Thierry Reding <[email-masked]>
Date: Tue, 05 May 2026 11:54:09 +0200

Hi all,

Today's linux-next merge of the net-next tree got a conflict in:

  net/ipv4/igmp.c

between commit:

  c6bebaa744f7 ("ipv4: igmp: annotate data-races in igmp_heard_query()")

from the net/main tree and commit:

  726fa7da2d8c ("ipv4: igmp: get rid of IGMPV3_{QQIC,MRC} and simplify calculation")

from the net-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc net/ipv4/igmp.c
index a9ad39064f3b,d7eff36d98c3..27d120183779
--- a/net/ipv4/igmp.c
+++ b/net/ipv4/igmp.c
@@@ -1028,10 -1015,9 +1028,10 @@@ static bool igmp_heard_query(struct in_
                 * received value was zero, use the default or statically
                 * configured value.
                 */
 -              in_dev->mr_qrv = ih3->qrv ?: READ_ONCE(net->ipv4.sysctl_igmp_qrv);
 -              in_dev->mr_qi = igmpv3_qqi(ih3) * HZ ? : IGMP_QUERY_INTERVAL;
 -
 +              WRITE_ONCE(in_dev->mr_qrv,
 +                         ih3->qrv ?: READ_ONCE(net->ipv4.sysctl_igmp_qrv));
-               mr_qi = IGMPV3_QQIC(ih3->qqic)*HZ ?: IGMP_QUERY_INTERVAL;
++              mr_qi = igmpv3_qqi(ih3) * HZ ? : IGMP_QUERY_INTERVAL;
 +              WRITE_ONCE(in_dev->mr_qi, mr_qi);
                /* RFC3376, 8.3. Query Response Interval:
                 * The number of seconds represented by the [Query Response
                 * Interval] must be less than the [Query Interval].